| Home | Libraries | People | FAQ | More

##### url::set_fragment

Set the fragment.

###### Synopsis

    url&
    set_fragment(
        core::string_view s);

###### Description

This function sets the fragment to the specified string, which may be empty. An empty fragment is distinct from having no fragment. Reserved characters in the string are percent-escaped in the result.

###### Example

    assert( url( "?first=john&last=doe" ).set_encoded_fragment( "john doe" ).encoded_fragment() == "john%20doe" );

###### Postconditions

    this->has_fragment() == true && this->fragment() == s

###### Complexity

Linear in `this->size() + s.size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Parameters

Name | Description
--- | ---
`s` | The string to set.

###### BNF

    fragment    = *( pchar / "/" / "?" )

###### Specification

- 3.5. Fragment

###### See Also

`remove_fragment`, /root/project/libs/url/include/boost/url/url.hpp